```mermaid
classDiagram
direction TB
E8  <|-- E96 : IsA
E96 : Purchase
E96 :  3-Traduit en attente de revision (167 mots)
E96 <.. P179 : has domain
P179 : had sales price 
P179 :  3-Traduit en attente de revision (40 mots)
```
